ncurses/ncurses-6.0-20151107.patch

695 lines
26 KiB
Diff
Raw Normal View History

# ncurses 6.0 - patch 20151107 - Thomas E. Dickey
#
# ------------------------------------------------------------------------------
#
# Ncurses 6.0 is at
# ftp.gnu.org:/pub/gnu
#
# Patches for ncurses 6.0 can be found at
# ftp://invisible-island.net/ncurses/6.0
# http://invisible-mirror.net/archives/ncurses/6.0
#
# ------------------------------------------------------------------------------
# ftp://invisible-island.net/ncurses/6.0/ncurses-6.0-20151107.patch.gz
# patch by Thomas E. Dickey <dickey@invisible-island.net>
# created Sun Nov 8 02:34:05 UTC 2015
# ------------------------------------------------------------------------------
# NEWS | 15 +++++
# VERSION | 2
# aclocal.m4 | 10 +--
# configure | 96 +++++++++++++++++++------------------
# configure.in | 10 ++-
# dist.mk | 4 -
# package/debian-mingw/changelog | 4 -
# package/debian-mingw64/changelog | 4 -
# package/debian/changelog | 4 -
# package/mingw-ncurses.nsi | 4 -
# package/mingw-ncurses.spec | 2
# package/ncurses.spec | 2
# progs/tset.c | 7 --
# 13 files changed, 91 insertions(+), 73 deletions(-)
# ------------------------------------------------------------------------------
Index: NEWS
Prereq: 1.2522
--- ncurses-6.0-20151101+/NEWS 2015-11-01 10:27:24.000000000 +0000
+++ ncurses-6.0-20151107/NEWS 2015-11-08 01:57:15.000000000 +0000
@@ -25,7 +25,7 @@
-- sale, use or other dealings in this Software without prior written --
-- authorization. --
-------------------------------------------------------------------------------
--- $Id: NEWS,v 1.2522 2015/11/01 10:27:24 tom Exp $
+-- $Id: NEWS,v 1.2526 2015/11/08 01:57:15 tom Exp $
-------------------------------------------------------------------------------
This is a log of changes that ncurses has gone through since Zeyd started
@@ -45,6 +45,19 @@
Changes through 1.9.9e did not credit all contributions;
it is not possible to add this information.
+20151107
+ + modify tset's assignment to TERM in its output to reflect the name by
+ which the terminal description is found, rather than the primary
+ name. That was an unnecessary part from the initial conversion of
+ tset from termcap to terminfo. The termcap program in 4.3BSD did
+ this to avoid using the short 2-character name (report by Rich
+ Burridge).
+ + minor fix to configure script to ensure that rules for resulting.map
+ are only generated when needed (cf: 20151101).
+ + modify configure script to handle the case where tic-library is
+ renamed, but the --with-debug option is used by itself without
+ normal or shared libraries (prompted by comment in Debian #803482).
+
20151101
+ amend change for pkg-config which allows build of pc-files when no
valid pkg-config library directory was configured to suppress the
Index: VERSION
--- ncurses-6.0-20151101+/VERSION 2015-11-01 10:25:33.000000000 +0000
+++ ncurses-6.0-20151107/VERSION 2015-11-06 00:44:10.000000000 +0000
@@ -1 +1 @@
-5:0:9 6.0 20151101
+5:0:9 6.0 20151107
Index: aclocal.m4
Prereq: 1.783
--- ncurses-6.0-20151101+/aclocal.m4 2015-11-01 10:29:05.000000000 +0000
+++ ncurses-6.0-20151107/aclocal.m4 2015-11-08 01:03:06.000000000 +0000
@@ -28,7 +28,7 @@
dnl
dnl Author: Thomas E. Dickey 1995-on
dnl
-dnl $Id: aclocal.m4,v 1.783 2015/11/01 10:29:05 tom Exp $
+dnl $Id: aclocal.m4,v 1.785 2015/11/08 01:03:06 tom Exp $
dnl Macros used in NCURSES auto-configuration script.
dnl
dnl These macros are maintained separately from NCURSES. The copyright on
@@ -3241,7 +3241,7 @@
AC_SUBST(LIB_PREFIX)
])dnl
dnl ---------------------------------------------------------------------------
-dnl CF_LIB_RULES version: 85 updated: 2015/10/31 20:06:35
+dnl CF_LIB_RULES version: 86 updated: 2015/11/07 20:01:34
dnl ------------
dnl Append definitions and rules for the given models to the subdirectory
dnl Makefiles, and the recursion rule for the top-level Makefile. If the
@@ -3293,8 +3293,7 @@
SHARED_LIB=
Libs_To_Make=
-
- cf_awk_program="BEGIN { skip = 1; last=\"\"; }"
+ cf_awk_program=
if test -n "${cf_cv_abi_version}" && test "x${cf_cv_abi_version}" != "x5"
then
cf_awk_program="$cf_awk_program\
@@ -3316,7 +3315,8 @@
# Generated by CF_LIB_RULES
resulting.map: $UNALTERED_SYMS
- $AWK '$cf_awk_program \
+ $AWK 'BEGIN { skip = 1; last=""; } \
+$cf_awk_program \
{ if ( last != "" && ( skip == 0 || \[$]\[$]0 !~ /}/ ) ) { print last; }\
skip = 0; last = \[$]\[$]0; } \
END { print last; }' < $UNALTERED_SYMS >\[$]@
Index: configure
--- ncurses-6.0-20151101+/configure 2015-11-01 10:12:02.000000000 +0000
+++ ncurses-6.0-20151107/configure 2015-11-08 01:06:42.000000000 +0000
@@ -1,5 +1,5 @@
#! /bin/sh
-# From configure.in Revision: 1.622 .
+# From configure.in Revision: 1.623 .
# Guess values for system-dependent variables and create Makefiles.
# Generated by Autoconf 2.52.20150926.
#
@@ -21722,17 +21722,20 @@
if test "x$with_ticlib" != xyes ; then
TICS_NAME=$with_ticlib
+ TICS_SUFFIX="`echo ${DFT_LIB_SUFFIX}|sed -e "s/^${USE_LIB_SUFFIX}//"`"
TICS_ARG_SUFFIX="${with_ticlib}`echo ${USE_ARG_SUFFIX}|sed -e "s/^${LIB_SUFFIX}//"`"
TICS_DEP_SUFFIX="${with_ticlib}`echo ${DFT_DEP_SUFFIX}|sed -e "s/^${LIB_SUFFIX}//"`"
TICS_LIB_SUFFIX="${with_ticlib}"
else
+ TICS_SUFFIX=${DFT_LIB_SUFFIX}
TICS_ARG_SUFFIX="${TICS_NAME}${USE_ARG_SUFFIX}"
TICS_DEP_SUFFIX="${TICS_NAME}${DFT_DEP_SUFFIX}"
TICS_LIB_SUFFIX="${TICS_NAME}${USE_LIB_SUFFIX}"
fi
TICS_LDFLAGS="-L${LIB_DIR}"
- TICS_LIBS="-l${TICS_LIB_SUFFIX}"
+ TICS_LIBS="-l${TICS_ARG_SUFFIX}"
else
+ TICS_SUFFIX=${DFT_LIB_SUFFIX}
TICS_LDFLAGS="-L${LIB_DIR}"
TICS_LIBS="-l${LIB_NAME}${USE_ARG_SUFFIX}"
fi
@@ -21856,19 +21859,19 @@
if test -n "$LDFLAGS_STATIC" && test -n "$LDFLAGS_SHARED"
then
- echo "$as_me:21859: checking if linker supports switching between static/dynamic" >&5
+ echo "$as_me:21862: checking if linker supports switching between static/dynamic" >&5
echo $ECHO_N "checking if linker supports switching between static/dynamic... $ECHO_C" >&6
rm -f libconftest.a
cat >conftest.$ac_ext <<EOF
-#line 21864 "configure"
+#line 21867 "configure"
#include <stdio.h>
int cf_ldflags_static(FILE *fp) { return fflush(fp); }
EOF
- if { (eval echo "$as_me:21868: \"$ac_compile\"") >&5
+ if { (eval echo "$as_me:21871: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
- echo "$as_me:21871: \$? = $ac_status" >&5
+ echo "$as_me:21874: \$? = $ac_status" >&5
(exit $ac_status); } ; then
( $AR $ARFLAGS libconftest.a conftest.o ) 2>&5 1>/dev/null
( eval $RANLIB libconftest.a ) 2>&5 >/dev/null
@@ -21879,10 +21882,10 @@
LIBS="$LDFLAGS_STATIC -L`pwd` -lconftest $LDFLAGS_DYNAMIC $LIBS"
cat >conftest.$ac_ext <<_ACEOF
-#line 21882 "configure"
+#line 21885 "configure"
#include "confdefs.h"
-#line 21885 "configure"
+#line 21888 "configure"
#include <stdio.h>
int cf_ldflags_static(FILE *fp);
@@ -21897,16 +21900,16 @@
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:21900: \"$ac_link\"") >&5
+if { (eval echo "$as_me:21903: \"$ac_link\"") >&5
(eval $ac_link) 2>&5
ac_status=$?
- echo "$as_me:21903: \$? = $ac_status" >&5
+ echo "$as_me:21906: \$? = $ac_status" >&5
(exit $ac_status); } &&
{ ac_try='test -s conftest$ac_exeext'
- { (eval echo "$as_me:21906: \"$ac_try\"") >&5
+ { (eval echo "$as_me:21909: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:21909: \$? = $ac_status" >&5
+ echo "$as_me:21912: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
# some linkers simply ignore the -dynamic
@@ -21929,7 +21932,7 @@
rm -f libconftest.*
LIBS="$cf_save_LIBS"
- echo "$as_me:21932: result: $cf_ldflags_static" >&5
+ echo "$as_me:21935: result: $cf_ldflags_static" >&5
echo "${ECHO_T}$cf_ldflags_static" >&6
if test $cf_ldflags_static != yes
@@ -21945,7 +21948,7 @@
;;
esac
-echo "$as_me:21948: checking where we will install curses.h" >&5
+echo "$as_me:21951: checking where we will install curses.h" >&5
echo $ECHO_N "checking where we will install curses.h... $ECHO_C" >&6
includesubdir=
@@ -21955,7 +21958,7 @@
then
includesubdir="/ncurses${USE_LIB_SUFFIX}"
fi
-echo "$as_me:21958: result: ${includedir}${includesubdir}" >&5
+echo "$as_me:21961: result: ${includedir}${includesubdir}" >&5
echo "${ECHO_T}${includedir}${includesubdir}" >&6
### Resolve a conflict between normal and wide-curses by forcing applications
@@ -21963,7 +21966,7 @@
if test "$with_overwrite" != no ; then
if test "$NCURSES_LIBUTF8" = 1 ; then
NCURSES_LIBUTF8='defined(HAVE_LIBUTF8_H)'
- { echo "$as_me:21966: WARNING: Wide-character applications must define HAVE_LIBUTF8_H to include curses.h" >&5
+ { echo "$as_me:21969: WARNING: Wide-character applications must define HAVE_LIBUTF8_H to include curses.h" >&5
echo "$as_me: WARNING: Wide-character applications must define HAVE_LIBUTF8_H to include curses.h" >&2;}
fi
fi
@@ -21981,7 +21984,7 @@
### Construct the list of subdirectories for which we'll customize makefiles
### with the appropriate compile-rules.
-echo "$as_me:21984: checking for src modules" >&5
+echo "$as_me:21987: checking for src modules" >&5
echo $ECHO_N "checking for src modules... $ECHO_C" >&6
# dependencies and linker-arguments for test-programs
@@ -22046,7 +22049,7 @@
fi
fi
done
-echo "$as_me:22049: result: $cf_cv_src_modules" >&5
+echo "$as_me:22052: result: $cf_cv_src_modules" >&5
echo "${ECHO_T}$cf_cv_src_modules" >&6
TEST_ARGS="-L${LIB_DIR} $TEST_ARGS"
@@ -22263,7 +22266,7 @@
# Extract the first word of "tic", so it can be a program name with args.
set dummy tic; ac_word=$2
-echo "$as_me:22266: checking for $ac_word" >&5
+echo "$as_me:22269: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_path_TIC_PATH+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -22280,7 +22283,7 @@
test -z "$ac_dir" && ac_dir=.
if $as_executable_p "$ac_dir/$ac_word"; then
ac_cv_path_TIC_PATH="$ac_dir/$ac_word"
- echo "$as_me:22283: found $ac_dir/$ac_word" >&5
+ echo "$as_me:22286: found $ac_dir/$ac_word" >&5
break
fi
done
@@ -22292,10 +22295,10 @@
TIC_PATH=$ac_cv_path_TIC_PATH
if test -n "$TIC_PATH"; then
- echo "$as_me:22295: result: $TIC_PATH" >&5
+ echo "$as_me:22298: result: $TIC_PATH" >&5
echo "${ECHO_T}$TIC_PATH" >&6
else
- echo "$as_me:22298: result: no" >&5
+ echo "$as_me:22301: result: no" >&5
echo "${ECHO_T}no" >&6
fi
@@ -22303,7 +22306,7 @@
then
if test "$TIC_PATH" = unknown
then
- { echo "$as_me:22306: WARNING: no tic program found for fallbacks" >&5
+ { echo "$as_me:22309: WARNING: no tic program found for fallbacks" >&5
echo "$as_me: WARNING: no tic program found for fallbacks" >&2;}
fi
fi
@@ -22339,7 +22342,7 @@
(*-D_XOPEN_SOURCE_EXTENDED*)
test -n "$verbose" && echo " moving _XOPEN_SOURCE_EXTENDED to work around g++ problem" 1>&6
-echo "${as_me:-configure}:22342: testing moving _XOPEN_SOURCE_EXTENDED to work around g++ problem ..." 1>&5
+echo "${as_me:-configure}:22345: testing moving _XOPEN_SOURCE_EXTENDED to work around g++ problem ..." 1>&5
CFLAGS="$CFLAGS -D_XOPEN_SOURCE_EXTENDED"
CPPFLAGS=`echo "x$CPPFLAGS" | sed -e 's/^.//' -e 's/-D_XOPEN_SOURCE_EXTENDED//'`
@@ -22350,7 +22353,7 @@
# Help to automatically enable the extended curses features when using either
# the *-config or the ".pc" files by adding defines.
-echo "$as_me:22353: checking for defines to add to ncurses${USE_CFG_SUFFIX}-config script" >&5
+echo "$as_me:22356: checking for defines to add to ncurses${USE_CFG_SUFFIX}-config script" >&5
echo $ECHO_N "checking for defines to add to ncurses${USE_CFG_SUFFIX}-config script... $ECHO_C" >&6
PKG_CFLAGS=
for cf_loop1 in $CPPFLAGS_after_XOPEN
@@ -22366,7 +22369,7 @@
done
test "$cf_found" = no && PKG_CFLAGS="$PKG_CFLAGS $cf_loop1"
done
-echo "$as_me:22369: result: $PKG_CFLAGS" >&5
+echo "$as_me:22372: result: $PKG_CFLAGS" >&5
echo "${ECHO_T}$PKG_CFLAGS" >&6
# AC_CHECK_SIZEOF demands a literal parameter, no variables. So we do this.
@@ -22423,7 +22426,7 @@
cf_filter_syms=$cf_dft_filter_syms
test -n "$verbose" && echo " will map symbols to ABI=$cf_cv_abi_version" 1>&6
-echo "${as_me:-configure}:22426: testing will map symbols to ABI=$cf_cv_abi_version ..." 1>&5
+echo "${as_me:-configure}:22429: testing will map symbols to ABI=$cf_cv_abi_version ..." 1>&5
fi
@@ -22525,7 +22528,7 @@
: ${CONFIG_STATUS=./config.status}
ac_clean_files_save=$ac_clean_files
ac_clean_files="$ac_clean_files $CONFIG_STATUS"
-{ echo "$as_me:22528: creating $CONFIG_STATUS" >&5
+{ echo "$as_me:22531: creating $CONFIG_STATUS" >&5
echo "$as_me: creating $CONFIG_STATUS" >&6;}
cat >$CONFIG_STATUS <<_ACEOF
#! $SHELL
@@ -22701,7 +22704,7 @@
echo "$ac_cs_version"; exit 0 ;;
--he | --h)
# Conflict between --help and --header
- { { echo "$as_me:22704: error: ambiguous option: $1
+ { { echo "$as_me:22707: error: ambiguous option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: ambiguous option: $1
Try \`$0 --help' for more information." >&2;}
@@ -22720,7 +22723,7 @@
ac_need_defaults=false;;
# This is an error.
- -*) { { echo "$as_me:22723: error: unrecognized option: $1
+ -*) { { echo "$as_me:22726: error: unrecognized option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: unrecognized option: $1
Try \`$0 --help' for more information." >&2;}
@@ -22782,6 +22785,7 @@
TICS_ARG_SUFFIX="$TICS_ARG_SUFFIX"
TICS_LIB_SUFFIX="$TICS_LIB_SUFFIX"
TICS_NAME="$TICS_NAME"
+TICS_SUFFIX="$TICS_SUFFIX"
TIC_PATH="$TIC_PATH"
TINFO_ARG_SUFFIX="$TINFO_ARG_SUFFIX"
TINFO_LIB_SUFFIX="$TINFO_LIB_SUFFIX"
@@ -22838,7 +22842,7 @@
"Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
"default" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default" ;;
"include/ncurses_cfg.h" ) CONFIG_HEADERS="$CONFIG_HEADERS include/ncurses_cfg.h:include/ncurses_cfg.hin" ;;
- *) { { echo "$as_me:22841: error: invalid argument: $ac_config_target" >&5
+ *) { { echo "$as_me:22845: error: invalid argument: $ac_config_target" >&5
echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
{ (exit 1); exit 1; }; };;
esac
@@ -23312,7 +23316,7 @@
esac
if test x"$ac_file" != x-; then
- { echo "$as_me:23315: creating $ac_file" >&5
+ { echo "$as_me:23319: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;}
rm -f "$ac_file"
fi
@@ -23330,7 +23334,7 @@
-) echo $tmp/stdin ;;
[\\/$]*)
# Absolute (can't be DOS-style, as IFS=:)
- test -f "$f" || { { echo "$as_me:23333: error: cannot find input file: $f" >&5
+ test -f "$f" || { { echo "$as_me:23337: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
echo $f;;
@@ -23343,7 +23347,7 @@
echo $srcdir/$f
else
# /dev/null tree
- { { echo "$as_me:23346: error: cannot find input file: $f" >&5
+ { { echo "$as_me:23350: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
fi;;
@@ -23359,7 +23363,7 @@
if test -n "$ac_seen"; then
ac_used=`grep '@datarootdir@' $ac_item`
if test -z "$ac_used"; then
- { echo "$as_me:23362: WARNING: datarootdir was used implicitly but not set:
+ { echo "$as_me:23366: WARNING: datarootdir was used implicitly but not set:
$ac_seen" >&5
echo "$as_me: WARNING: datarootdir was used implicitly but not set:
$ac_seen" >&2;}
@@ -23368,7 +23372,7 @@
fi
ac_seen=`grep '${datarootdir}' $ac_item`
if test -n "$ac_seen"; then
- { echo "$as_me:23371: WARNING: datarootdir was used explicitly but not set:
+ { echo "$as_me:23375: WARNING: datarootdir was used explicitly but not set:
$ac_seen" >&5
echo "$as_me: WARNING: datarootdir was used explicitly but not set:
$ac_seen" >&2;}
@@ -23405,7 +23409,7 @@
ac_init=`egrep '[ ]*'$ac_name'[ ]*=' $ac_file`
if test -z "$ac_init"; then
ac_seen=`echo "$ac_seen" |sed -e 's,^,'$ac_file':,'`
- { echo "$as_me:23408: WARNING: Variable $ac_name is used but was not set:
+ { echo "$as_me:23412: WARNING: Variable $ac_name is used but was not set:
$ac_seen" >&5
echo "$as_me: WARNING: Variable $ac_name is used but was not set:
$ac_seen" >&2;}
@@ -23416,7 +23420,7 @@
egrep -n '@[A-Z_][A-Z_0-9]+@' $ac_file >>$tmp/out
if test -s $tmp/out; then
ac_seen=`sed -e 's,^,'$ac_file':,' < $tmp/out`
- { echo "$as_me:23419: WARNING: Some variables may not be substituted:
+ { echo "$as_me:23423: WARNING: Some variables may not be substituted:
$ac_seen" >&5
echo "$as_me: WARNING: Some variables may not be substituted:
$ac_seen" >&2;}
@@ -23465,7 +23469,7 @@
* ) ac_file_in=$ac_file.in ;;
esac
- test x"$ac_file" != x- && { echo "$as_me:23468: creating $ac_file" >&5
+ test x"$ac_file" != x- && { echo "$as_me:23472: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;}
# First look for the input files in the build tree, otherwise in the
@@ -23476,7 +23480,7 @@
-) echo $tmp/stdin ;;
[\\/$]*)
# Absolute (can't be DOS-style, as IFS=:)
- test -f "$f" || { { echo "$as_me:23479: error: cannot find input file: $f" >&5
+ test -f "$f" || { { echo "$as_me:23483: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
echo $f;;
@@ -23489,7 +23493,7 @@
echo $srcdir/$f
else
# /dev/null tree
- { { echo "$as_me:23492: error: cannot find input file: $f" >&5
+ { { echo "$as_me:23496: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
fi;;
@@ -23547,7 +23551,7 @@
rm -f $tmp/in
if test x"$ac_file" != x-; then
if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
- { echo "$as_me:23550: $ac_file is unchanged" >&5
+ { echo "$as_me:23554: $ac_file is unchanged" >&5
echo "$as_me: $ac_file is unchanged" >&6;}
else
ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
@@ -23645,8 +23649,7 @@
SHARED_LIB=
Libs_To_Make=
-
- cf_awk_program="BEGIN { skip = 1; last=\"\"; }"
+ cf_awk_program=
if test -n "${cf_cv_abi_version}" && test "x${cf_cv_abi_version}" != "x5"
then
cf_awk_program="$cf_awk_program\
@@ -23668,7 +23671,8 @@
# Generated by CF_LIB_RULES
resulting.map: $UNALTERED_SYMS
- $AWK '$cf_awk_program \
+ $AWK 'BEGIN { skip = 1; last=""; } \
+$cf_awk_program \
{ if ( last != "" && ( skip == 0 || \$\$0 !~ /}/ ) ) { print last; }\
skip = 0; last = \$\$0; } \
END { print last; }' < $UNALTERED_SYMS >\$@
@@ -23892,7 +23896,7 @@
(cygdll|msysdll|mingw)
test "x$with_shared_cxx" = xno && test -n "$verbose" && echo " overriding CXX_MODEL to SHARED" 1>&6
-echo "${as_me:-configure}:23895: testing overriding CXX_MODEL to SHARED ..." 1>&5
+echo "${as_me:-configure}:23899: testing overriding CXX_MODEL to SHARED ..." 1>&5
with_shared_cxx=yes
;;
Index: configure.in
Prereq: 1.622
--- ncurses-6.0-20151101+/configure.in 2015-11-01 01:22:57.000000000 +0000
+++ ncurses-6.0-20151107/configure.in 2015-11-07 22:41:37.000000000 +0000
@@ -28,14 +28,14 @@
dnl
dnl Author: Thomas E. Dickey 1995-on
dnl
-dnl $Id: configure.in,v 1.622 2015/11/01 01:22:57 tom Exp $
+dnl $Id: configure.in,v 1.623 2015/11/07 22:41:37 tom Exp $
dnl Process this file with autoconf to produce a configure script.
dnl
dnl See http://invisible-island.net/autoconf/ for additional information.
dnl
dnl ---------------------------------------------------------------------------
AC_PREREQ(2.52.20030208)
-AC_REVISION($Revision: 1.622 $)
+AC_REVISION($Revision: 1.623 $)
AC_INIT(ncurses/base/lib_initscr.c)
AC_CONFIG_HEADER(include/ncurses_cfg.h:include/ncurses_cfg.hin)
@@ -1859,17 +1859,20 @@
if test "x$with_ticlib" != xyes ; then
TICS_NAME=$with_ticlib
+ TICS_SUFFIX="`echo ${DFT_LIB_SUFFIX}|sed -e "s/^${USE_LIB_SUFFIX}//"`"
TICS_ARG_SUFFIX="${with_ticlib}`echo ${USE_ARG_SUFFIX}|sed -e "s/^${LIB_SUFFIX}//"`"
TICS_DEP_SUFFIX="${with_ticlib}`echo ${DFT_DEP_SUFFIX}|sed -e "s/^${LIB_SUFFIX}//"`"
TICS_LIB_SUFFIX="${with_ticlib}"
else
+ TICS_SUFFIX=${DFT_LIB_SUFFIX}
TICS_ARG_SUFFIX="${TICS_NAME}${USE_ARG_SUFFIX}"
TICS_DEP_SUFFIX="${TICS_NAME}${DFT_DEP_SUFFIX}"
TICS_LIB_SUFFIX="${TICS_NAME}${USE_LIB_SUFFIX}"
fi
TICS_LDFLAGS="-L${LIB_DIR}"
- TICS_LIBS="-l${TICS_LIB_SUFFIX}"
+ TICS_LIBS="-l${TICS_ARG_SUFFIX}"
else
+ TICS_SUFFIX=${DFT_LIB_SUFFIX}
TICS_LDFLAGS="-L${LIB_DIR}"
TICS_LIBS="-l${LIB_NAME}${USE_ARG_SUFFIX}"
fi
@@ -2236,6 +2239,7 @@
TICS_ARG_SUFFIX="$TICS_ARG_SUFFIX"
TICS_LIB_SUFFIX="$TICS_LIB_SUFFIX"
TICS_NAME="$TICS_NAME"
+TICS_SUFFIX="$TICS_SUFFIX"
TIC_PATH="$TIC_PATH"
TINFO_ARG_SUFFIX="$TINFO_ARG_SUFFIX"
TINFO_LIB_SUFFIX="$TINFO_LIB_SUFFIX"
Index: dist.mk
Prereq: 1.1077
--- ncurses-6.0-20151101+/dist.mk 2015-11-01 10:25:33.000000000 +0000
+++ ncurses-6.0-20151107/dist.mk 2015-11-06 00:44:10.000000000 +0000
@@ -25,7 +25,7 @@
# use or other dealings in this Software without prior written #
# authorization. #
##############################################################################
-# $Id: dist.mk,v 1.1077 2015/11/01 10:25:33 tom Exp $
+# $Id: dist.mk,v 1.1078 2015/11/06 00:44:10 tom Exp $
# Makefile for creating ncurses distributions.
#
# This only needs to be used directly as a makefile by developers, but
@@ -37,7 +37,7 @@
# These define the major/minor/patch versions of ncurses.
NCURSES_MAJOR = 6
NCURSES_MINOR = 0
-NCURSES_PATCH = 20151101
+NCURSES_PATCH = 20151107
# We don't append the patch to the version, since this only applies to releases
VERSION = $(NCURSES_MAJOR).$(NCURSES_MINOR)
Index: package/debian-mingw/changelog
--- ncurses-6.0-20151101+/package/debian-mingw/changelog 2015-11-01 10:25:33.000000000 +0000
+++ ncurses-6.0-20151107/package/debian-mingw/changelog 2015-11-06 00:44:10.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (6.0+20151101) unstable; urgency=low
+ncurses6 (6.0+20151107) unstable; urgency=low
* latest weekly patch
- -- Thomas E. Dickey <dickey@invisible-island.net> Sun, 01 Nov 2015 05:25:33 -0500
+ -- Thomas E. Dickey <dickey@invisible-island.net> Thu, 05 Nov 2015 19:44:10 -0500
ncurses6 (5.9-20131005) unstable; urgency=low
Index: package/debian-mingw64/changelog
--- ncurses-6.0-20151101+/package/debian-mingw64/changelog 2015-11-01 10:25:33.000000000 +0000
+++ ncurses-6.0-20151107/package/debian-mingw64/changelog 2015-11-06 00:44:10.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (6.0+20151101) unstable; urgency=low
+ncurses6 (6.0+20151107) unstable; urgency=low
* latest weekly patch
- -- Thomas E. Dickey <dickey@invisible-island.net> Sun, 01 Nov 2015 05:25:33 -0500
+ -- Thomas E. Dickey <dickey@invisible-island.net> Thu, 05 Nov 2015 19:44:10 -0500
ncurses6 (5.9-20131005) unstable; urgency=low
Index: package/debian/changelog
--- ncurses-6.0-20151101+/package/debian/changelog 2015-11-01 10:25:33.000000000 +0000
+++ ncurses-6.0-20151107/package/debian/changelog 2015-11-06 00:44:10.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (6.0+20151101) unstable; urgency=low
+ncurses6 (6.0+20151107) unstable; urgency=low
* latest weekly patch
- -- Thomas E. Dickey <dickey@invisible-island.net> Sun, 01 Nov 2015 05:25:33 -0500
+ -- Thomas E. Dickey <dickey@invisible-island.net> Thu, 05 Nov 2015 19:44:10 -0500
ncurses6 (5.9-20120608) unstable; urgency=low
Index: package/mingw-ncurses.nsi
Prereq: 1.130
--- ncurses-6.0-20151101+/package/mingw-ncurses.nsi 2015-11-01 10:25:33.000000000 +0000
+++ ncurses-6.0-20151107/package/mingw-ncurses.nsi 2015-11-06 00:44:10.000000000 +0000
@@ -1,4 +1,4 @@
-; $Id: mingw-ncurses.nsi,v 1.130 2015/11/01 10:25:33 tom Exp $
+; $Id: mingw-ncurses.nsi,v 1.131 2015/11/06 00:44:10 tom Exp $
; TODO add examples
; TODO bump ABI to 6
@@ -10,7 +10,7 @@
!define VERSION_MAJOR "6"
!define VERSION_MINOR "0"
!define VERSION_YYYY "2015"
-!define VERSION_MMDD "1101"
+!define VERSION_MMDD "1107"
!define VERSION_PATCH ${VERSION_YYYY}${VERSION_MMDD}
!define MY_ABI "5"
Index: package/mingw-ncurses.spec
--- ncurses-6.0-20151101+/package/mingw-ncurses.spec 2015-11-01 10:25:33.000000000 +0000
+++ ncurses-6.0-20151107/package/mingw-ncurses.spec 2015-11-06 00:44:10.000000000 +0000
@@ -3,7 +3,7 @@
Summary: shared libraries for terminal handling
Name: mingw32-ncurses6
Version: 6.0
-Release: 20151101
+Release: 20151107
License: X11
Group: Development/Libraries
Source: ncurses-%{version}-%{release}.tgz
Index: package/ncurses.spec
--- ncurses-6.0-20151101+/package/ncurses.spec 2015-11-01 10:25:33.000000000 +0000
+++ ncurses-6.0-20151107/package/ncurses.spec 2015-11-06 00:44:10.000000000 +0000
@@ -1,7 +1,7 @@
Summary: shared libraries for terminal handling
Name: ncurses6
Version: 6.0
-Release: 20151101
+Release: 20151107
License: X11
Group: Development/Libraries
Source: ncurses-%{version}-%{release}.tgz
Index: progs/tset.c
Prereq: 1.96
--- ncurses-6.0-20151101+/progs/tset.c 2015-04-12 15:36:06.000000000 +0000
+++ ncurses-6.0-20151107/progs/tset.c 2015-11-08 01:45:47.000000000 +0000
@@ -119,7 +119,7 @@
#include <dump_entry.h>
#include <transform.h>
-MODULE_ID("$Id: tset.c,v 1.96 2015/04/12 15:36:06 tom Exp $")
+MODULE_ID("$Id: tset.c,v 1.97 2015/11/08 01:45:47 tom Exp $")
/*
* SCO defines TIOCGSIZE and the corresponding struct. Other systems (SunOS,
@@ -1293,7 +1293,7 @@
reset_mode();
}
- (void) get_termcap_entry(*argv);
+ ttype = get_termcap_entry(*argv);
if (!noset) {
#if HAVE_SIZECHANGE
@@ -1327,9 +1327,6 @@
}
}
- /* Get the terminal name from the entry. */
- ttype = _nc_first_name(cur_term->type.term_names);
-
if (noset)
(void) printf("%s\n", ttype);
else {